#
# spec file for package vte (Version 0.11.16)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc libglade2 libjpeg libnscd libpng libpng-devel libstdc++ libsvg libsvg-cairo libtool libxcrypt libxml2 libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules pango pango-devel patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils python python-cairo python-devel python-gtk python-numeric rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           vte
BuildRequires:  gnome-common gtk2-devel python-devel python-gtk update-desktop-files
URL:            http://www.gnome.org
%define prefix /opt/gnome
License:        GPL
Group:          Development/Libraries/GNOME
Autoreqprov:    on
Version:        0.11.16
Release:        19.2
Summary:        Terminal Emulator
Source:         ftp://ftp.gnome.org/pub/gnome/sources/vte/0.11/vte-%{version}.tar.bz2
Source1:        permissions.tar.bz2
Patch:          vte-0.10.29.dif
Patch1:         vte-no-pwd.dif
Patch2:         vte-pkgconfig-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
VTE is a terminal emulator library that provides a terminal widget for
use with GTK+ 2.0 as well as handling of child process and terminal
emulation settings.



Authors:
--------
    Nalin Dahyabhai <nalin@redhat.com>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version} gtk2-devel glib2-devel
Autoreqprov:    on

%description devel
VTE is an experimental terminal emulator widget for use with GTK+ 2.0. 
This package contains the files needed for building applications using
VTE.



Authors:
--------
    Nalin Dahyabhai <nalin@redhat.com>

%prep
%setup -q -n vte-%{version}
%patch -p1
%patch1 -p1
%patch2
%if %is_plus
%setup -n %{name}-%{version} -T -D 0 -b 1
%endif
rm  po/no.*
sed -e "s/\(ALL_LINGUAS.*\) no /\1 /" < configure.in > configure.in.tmp && mv configure.in.tmp configure.in

%build
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
automake -c -a -f
autoconf
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
./configure --prefix=/opt/gnome \
	--libdir=/opt/gnome/%_lib \
	--libexecdir=/opt/gnome/lib/vte \
	--mandir=%{_mandir} \
	--infodir=%{_infodir}
make %{?jobs:-j%jobs}

%install
rm -rf $RPM_BUILD_ROOT
export LIBRARY_PATH=$RPM_BUILD_ROOT/opt/gnome/%_lib
make install DESTDIR=$RPM_BUILD_ROOT
chgrp tty $RPM_BUILD_ROOT/opt/gnome/lib/vte/gnome-pty-helper
chmod g+s $RPM_BUILD_ROOT/opt/gnome/lib/vte/gnome-pty-helper
# move the python stuff
mkdir -p $RPM_BUILD_ROOT/usr/%_lib
mv $RPM_BUILD_ROOT/opt/gnome/%_lib/python%py_ver/ $RPM_BUILD_ROOT/usr/%_lib/python%py_ver
%find_lang %{name}
%if %is_plus
mkdir -p $RPM_BUILD_ROOT/etc/permissions.d
install -m644 ../permissions/* $RPM_BUILD_ROOT/etc/permissions.d
%endif

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f %files -f %{name}.lang
%doc AUTHORS COPYING README NEWS ChangeLog 
%{prefix}/%_lib/*.so.*
%{prefix}/bin/*
%{prefix}/share/vte
/usr/%_lib/python2.?/site-packages/gtk-2.0/vte*.so
%{prefix}/%_lib/vte
%if "%_lib" != "lib"
%{prefix}/lib/vte
%endif
%{prefix}/share/gtk-doc/html/vte
%if %is_plus
/etc/permissions.d/*
%endif

%files devel
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/%_lib/*.so
%{prefix}/%_lib/*.*a
%{prefix}/include/vte
/usr/%_lib/python%py_ver/site-packages/gtk-2.0/vte*.*a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n vte
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - jpr@suse.de
- Fix pkgconfig file Requires.private -> Requires
* Wed Jan 18 2006 - sbrabec@suse.cz
- Updated to version 0.11.16.
* Mon Sep 26 2005 - mls@suse.de
- make devel package require base package
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 0.11.15
* Thu Aug 11 2005 - gekker@suse.de
- Update to version 0.11.14
* Wed Jun 22 2005 - gekker@suse.de
- Update to version 0.11.13
* Wed Mar 16 2005 - gekker@suse.de
- Remove .desktop file, it is just a test tool, not for menus
* Mon Mar 07 2005 - gekker@suse.de
- add vte-memory-background.patch
* Thu Mar 03 2005 - gekker@suse.de
- update to 0.11.12
* Tue Dec 21 2004 - gekker@suse.de
- Update to version 0.11.11
- Rework patches so they apply
- Change spec file so it can find the libs
* Mon Nov 22 2004 - ro@suse.de
- make specfile rpm3 compliant ...
  (non numeric if arguments need quoting)
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Tue Oct 19 2004 - sbrabec@suse.cz
- Removed /opt/gnome/lib64/vte/gnome-pty-helper from permissions.
- Renamed no locale to nb.
* Tue Oct 19 2004 - ro@suse.de
- use special permissions files to build on PLUS
* Tue Oct 12 2004 - sbrabec@suse.cz
- Fixed libexecdir for bi-arch (#47050).
* Wed Sep 22 2004 - hhetter@suse.de
- don't do pwd as command when nothing else was given
  (#45813)
* Wed May 19 2004 - ro@suse.de
- do not define PANGO_DISABLE_DEPRECATED
* Tue Aug 19 2003 - sbrabec@suse.cz
- Updated to version 0.11.10.
* Fri Aug 15 2003 - adrian@suse.de
- install desktop file
* Wed Aug 06 2003 - ro@suse.de
- don't define GTK_DISABLE_DEPRECATED since python-gtk includes
  still use/support some old features
* Fri Jul 25 2003 - hhetter@suse.de
- really prefix to /opt/gnome
- move python stuff to /usr
- %%_lib fixes
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jun 25 2003 - sbrabec@suse.cz
- Updated to version 0.10.29.
- Use %%find_lang.
* Fri Jun 06 2003 - mmj@suse.de
- Add .la to -devel
* Fri Apr 04 2003 - ro@suse.de
- use wildcard in filelist for python (should use macro)
* Wed Feb 26 2003 - sbrabec@suse.cz
- Make gnome-pty-helper SGID tty, not utmp.
* Tue Feb 25 2003 - sbrabec@suse.cz
- Fixed %%files and FHS fix (libexecdir).
* Fri Feb 07 2003 - hhetter@suse.de
- updated to version 0.10.17 [GNOME 2.2.0]
* Tue Jan 21 2003 - ro@suse.de
- lib64 fix
* Thu Jan 16 2003 - hhetter@suse.de
- initial SuSE package
